/* ========================================================================== */
/* ======= check_order ====================================================== */
/* ========================================================================== */

#include "pproj.h"
void check_order
(
    double   *x,
    INT      *I,
    INT  length,
    char *where
)
{
    INT i ;

#ifdef NDEBUG
    fprintf (stderr, "Debugging is on!\n") ; abort () ;
#endif
    printf ("check order %s\n", where) ;

    for (i = 1; i < length; i++)
    {
        if ( x [I [i-1]] > x [I [i]] )
        {
            PRINTF ("Break points not sorted: %s\n", where) ;
            PRINTF ("i: %i I: %i value: %e prior: %e\n",
                i, I [i], x [I[i-1]], x [I [i]]) ;
            pproj_error (-1, __FILE__, __LINE__, "Stop") ;
        }
    }
/*  PRINTF ("Break points sorted: %s\n", where) ; */
}
