/* ========================================================================= */
/* === check_const ========================================================= */
/* ========================================================================= */

#include "pproj.h"
void check_const
(
    double   *x,
    double   cx,
    INT      *y,
    INT      cy,
    INT       n,
    char *where
)
{
    INT i ;

#ifdef NDEBUG
    fprintf (stderr, "Debugging is on!\n") ; abort () ;
#endif
    printf ("check for constant value %s\n", where) ;

    if ( x != NULL )
    for (i = 0; i < n; i++)
    {
        if ( x [i] != cx )
        {
            printf ("x [%i] = %e != %e\n", i, x [i], cx) ;
            pproj_error (-1, __FILE__, __LINE__, where) ;
        }
    }
    if ( y != NULL )
    for (i = 0; i < n; i++)
    {
        if ( y [i] != cy )
        {
            printf ("y [%i] = %i != %i\n", i, y [i], cy) ;
            pproj_error (-1, __FILE__, __LINE__, where) ;
        }
    }
}
